#include <catch2/catch_all.hpp>
#include <catch2/catch_test_macros.hpp>

#include <utils/PartitionerOptions.hpp>

// clazy:excludeall=non-pod-global-static

TEST_CASE("PartitionerOptions", "[utils]")
{
  SECTION("name")
  {
    REQUIRE(name(PartitionerLibrary::parmetis) == "ParMETIS");
    REQUIRE(name(PartitionerLibrary::ptscotch) == "PTScotch");
    REQUIRE_THROWS_WITH(name(PartitionerLibrary::PT__end),
                        "unexpected error: Partitioner library name is not defined!");

    WARN("not finished");
  }
}
